//json请求
//0==有灰色底分类块每行5个,参考游戏分类
//1==左边小图右边文字，参考游戏单款
//2==单banner
//3==左边大图右边文字，参考小说单本
//4==尺寸不一的图片拼合，参考电商模块
//5==前面带标示列表，参考电商列表文字
//6==带图标站点，参考名站
//7==一行4个单元无底色，参考手机酷站
//8==新闻专题
//9==视频模块
var jsonIR = function(op) {
    this.elem = op.elem;
    this.elem.type = op.type;
    this.elem.wa_c = op.wa_c;
    this.url = op.url;
    this.dataType = op.dataType;

};
jsonIR.prototype.init = function() {
    var _self = this;
    $.ajax({
        type: 'get',
        dataType: _self.dataType,
        url: _self.url,
        success: function(data) {
            _self.success(data, _self.elem)
        }
    });
};
jsonIR.prototype.success = function(data, elem) {
    var type = elem.type,
        html = '',
        wa_c = elem.wa_c;
    switch (true) {
        case type == 0:
            var arr = data.data;
            for (var i = 0; i < arr.length; i++) {
                var url = addWaUrl(arr[i].href, wa_c, i);
                html += '<li><a href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)">'
                + arr[i].title + '</a></li>';
            }
            break;
        case type == 1:
            var arr = data.data;
            for (var i = 0; i < arr.length; i++) {
                var url = addWaUrl(arr[i].href, wa_c, i);
                html += '<div class="list-img-msg"><a class="a" href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><img src="' +
                arr[i].icon + '" alt="' + arr[i].title +
                '"></a><dl><dt><a href="' + url + '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)">' +
                 arr[i].title + '</a></dt><dd>' + arr[i].desc + '</dd></dl></div>';
            }
            break;
        case type == 2:
            var arr = data.data;
            for (var i = 0; i < arr.length; i++) {
                var url = addWaUrl(arr[i].href, wa_c, i);
                html += '<a class="banr-one" href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><img src="' +
                arr[i].icon + '" alt=""><p>' + arr[i].title + '</p></a>';
            }
            break;
        case type == 3:
            var arr = data.data;
            for (var i = 0; i < arr.length; i++) {
                var num = getMillion(arr[i].num);
                num = num != false ? num + '万' : arr[i].num;
                var url = addWaUrl(arr[i].href, wa_c, i);
                html += '<dl class="img-msg"><dt><a href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><img src="' +
                arr[i].icon + '" alt="' + arr[i].title + '"></a></dt><dd><h4><a href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)">' + arr[i].title +
                '</a></h4><span><span>' + num + '</span>人关注</span><span>' + arr[i].desc + '</span></dd></dl>';
            }
            break;
        case type == 4:
            var arr = data.data;
            html += '<a href="' + addWaUrl(arr[3].href, wa_c, 3) + '" class="item-l" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><img class="imgblock " src="' +
            arr[3].icon + '" alt="' + arr[3].title + '"></a>';
            html += '<div class="item-r"><a class="item0" href="' + addWaUrl(arr[2].href, wa_c, 2) +
            '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><img class="imgblock " src="' +
            arr[2].icon + '" alt="' + arr[2].title + '"></a><ul class="item1">';
            for (var i = 0; i < 2; i++) {
                var url = addWaUrl(arr[i].href, wa_c, i);
                html += '<li><a href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><img class="imgblock " src="' +
                arr[i].icon + '" alt="' + arr[i].title + '"></a></li>';
            }
            html += '</ul></div>';
            break;
        case type == 5:
            var arr = data.data;
            for (var i = 0; i < arr.length; i++) {
                var color = '';
                switch (true) {
                    case i % 3 == 1:
                        color = '21a0f1';
                        break;
                    case i % 3 == 2:
                        color = '4ac731';
                        break;
                    default:
                        color = 'ff4f3d';
                }
                var url = addWaUrl(arr[i].href, wa_c, i);
                html += '<li><a href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><strong style="background:#' + color +
                ';">' + arr[i].category + '</strong>' + arr[i].title + '</a></li>';
            }
            break;
        case type == 6:
            var arr = sorting(data.data);
            for (var i = 0; i < arr.length; i++) {
                var url = addWaUrl(arr[i].href, wa_c, i);
                html += '<li href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><a href="javascript:;"><img src="' + arr[i].icon +
                '" alt="" width="64" height="64"/><span>' + arr[i].title + '</span></a></li>';
            }
            break;
        case type == 7:
            var arr = data.data,
                mod = arr.length / 4;

            html = '<li><ul class="sec-grid-list-4 grid-list">';
            for (var i = 0; i < arr.length; i++) {
                //console.log(url);
                var url = addWaUrl(arr[i].href, wa_c, i);
                // html += '<li><a href="'+url+'">'+arr[i].title+'</a></li>';
                if (i !== 0 && i !== arr.length - 1 && i % 4 === 0) {
                    html += '</ul></li><li><ul class="sec-grid-list-4 grid-list">';
                }
                html += '<li href="' + url + '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)">' +
                arr[i].title + '</li>';
                if (i === arr.length - 1) {
                    html += '</ul></li>';
                }
            }

            break;
        case type == 8:

            var url_0 = addWaUrl(data[0].href, wa_c, 0);
            html = '<a class="hotTitleWarp" href="' + url_0 + '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><span class="hotTitle font-fix hotTitle-fix">'
            + data[0].title + '<em>' + getStr(data[0].type) + '</em></span></a>';
            html += '<ul>';
            for (var i = 1; i < data.length; i++) {
                var url = addWaUrl(data[i].href, wa_c, i);
                html += '<li><a class="contItemWrap clearfix" href="' + url +
                '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><span class="contItem-cont font-fix"><span class="contItem-title"><em class="contItem-title-cont"><span class="font-fix">' +
                getStr(data[i].type) + '</span></em></span>' + data[i].title + '</span></a></li>';
            }
            html += '</ul>';
            break;
        case type == 9:
            var arr = data.data.list;
            html = ''
            for (var i = 0; i < arr.length; i++) {
                var url = addWaUrl(arr[i].url, wa_c, i);
                if (i < 2) {
                    html += '<li><a href="' + url +
                    '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><img src="' +
                    arr[i].img_url + '"><span>更新至' + arr[i].last_sn + '集</span></a><p><a href="' + url + '">' + arr[i].title + '</a></p></li>';
                } else {
                    html += '<li><a href="' + url +
                    '" ontouchstart="sendElementUrlOnLongPress(this,2)" ontouchmove="getTouchMove()" ontouchend="sendElementUrl(this,2)"><span>' +
                    arr[i].title + '</span><em>更新至' + arr[i].last_sn + '集</em></a></li>';
                }
            }
            break;
    }
    elem.innerHTML = html;
}

//wa后缀地址拼接
function addWaUrl(url, wa_c, i) {
        if (url.indexOf('&nid=') != -1 || wa_c == null) return url;
        var num = isNaN(i) ? 0 : i;
        var wa = 'fcid=' + wa_c.fcid + '&cid=' + wa_c.cid + '&nid=' + num;
        if (url.indexOf('?') == -1) return url + '?' + wa;
        else return url + '&' + wa;
    }
    //字符转
function getStr(str) {
        switch (str) {
            case 'tt':
                return '头条';
                break;
            case 'sh':
                return '时事新闻';
                break;
            case 'yl':
                return '今日娱乐';
                break;
            default:
                return str;
        }
    }
    //获取万级数
function getMillion(num) {
        if (num < 1000) return false;
        var m = Math.floor(num / 10000)
        if (m > 0)
            return m + Math.floor((num - m * 10000) / 1000) / 10;
        else
            return Math.floor(num / 1000) / 10
    }
    //数组排序
function sorting(arr) {
    return arr.sort(function(a, b) {
        if (a._pos < b._pos) return -1;
        else if (a._pos > b._pos) return 1;
        else return 0;
        //return b._pos - a._pos;
    });
}
